: Class RowOption_skip

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## AsciiDatabase
Class RowOption_skip

    java.lang.Object
      |
      +--AsciiDatabase.RowOption
            |
            +--AsciiDatabase.RowOption_skip

All Implemented Interfaces:
  Serializable

final class RowOption_skip
extends RowOption

Option to skip the row if a specific ascii string is found at a specific location within the block.

Author:
  chris.studholme@utoronto.ca
See Also:
  Serialized Form

Field Summary
`int` | `offset`
`String` | `text`

Constructor Summary
`RowOption_skip(String optionstring)`

Method Summary
`int` | `hashCode()`
`boolean` | `rowOK(byte[] brecord)` Verify that a row can be extracted from a block of data.
`boolean` | `rowOK(String srecord)` Verify that a row can be extracted from a block of data.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### offset

    public int offset

### text

    public String text

Constructor Detail

### RowOption_skip

    public RowOption_skip(String optionstring)
                   throws DatabaseException

Method Detail

### rowOK

    public boolean rowOK(byte[] brecord)

  Description copied from class: `RowOption`
  Verify that a row can be extracted from a block of data.
  Overrides:
    `rowOK` in class `RowOption`
  Following copied from class: `AsciiDatabase.RowOption`
  Parameters:
    `brecord` - block of data
  Returns:
    true if a row can be extracted, false otherwise

### rowOK

    public boolean rowOK(String srecord)

  Description copied from class: `RowOption`
  Verify that a row can be extracted from a block of data.
  Overrides:
    `rowOK` in class `RowOption`
  Following copied from class: `AsciiDatabase.RowOption`
  Parameters:
    `srecord` - block of data
  Returns:
    true if a row can be extracted, false otherwise

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD